<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="
    t('search.main_title_with_term_and_module', {
      searchTerm: currentSearchTerm,
      moduleName: t(moduleNameLocalizationId),
    })
  "
  class="ion-page"
>
  <lib-refresher (ionRefresh)="refreshView($event)"></lib-refresher>

  <div
    aria-atomic="true"
    aria-live="polite"
    class="content-container content-spacing-minor-minor flex-list-medium"
  >
    <ion-row class="flex-list-feed-items ion-justify-content-center">
      <ion-col *ngFor="let result of searchResults" [size]="12">
        <ng-container
          *ngComponentOutlet="
            result.forYouComponent;
            inputs: { feedItem: result, routerLink: ['./', result.id] }
          "
        />
      </ion-col>
    </ion-row>
    <lib-skeleton-feed-loading-for-you
      *ngIf="isLoading && hasLayoutType(feedItemLayoutType.card)"
      [show]="isLoading && hasLayoutType(feedItemLayoutType.card)"
    ></lib-skeleton-feed-loading-for-you>

    <lib-skeleton-feed-item
      *ngIf="isLoading && hasLayoutType(feedItemLayoutType.item)"
      [show]="isLoading && hasLayoutType(feedItemLayoutType.item)"
      class="flex-list-feed-items"
    ></lib-skeleton-feed-item>
  </div>

  <ion-infinite-scroll
    (ionInfinite)="loadMoreResults($event)"
    *ngIf="shouldShowInfiniteScroll"
  >
    <ion-infinite-scroll-content></ion-infinite-scroll-content>
  </ion-infinite-scroll>
</lib-condensed-header-layout>
